/*
 * Copyright (c) 2010-2024. Institut Pasteur.
 *
 * This file is part of Icy.
 * Icy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Icy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Icy. If not, see <https://www.gnu.org/licenses/>.
 */

package plugins.stef.micromanager.block.lang;

import plugins.adufour.vars.gui.model.ValueSelectionModel;
import plugins.adufour.vars.lang.VarString;
import plugins.tprovoost.Microscopy.MicroManager.MicroManager;

import java.util.List;

/**
 * EzVar representing Micro-Manager config group.
 *
 * @author Stephane Dallongeville
 */
public class VarMMGroup extends VarString {
    public VarMMGroup(final String name) {
        super(name, "");

        final List<String> groups = MicroManager.getConfigGroups();

        if (!groups.isEmpty())
            setDefaultEditorModel(new ValueSelectionModel<>(groups.toArray(new String[0]), groups.getFirst(), false));
    }

    public VarMMGroup() {
        this("Group");
    }
}
