/*
 * Copyright (c) 2010-2024. Institut Pasteur.
 *
 * This file is part of Icy.
 * Icy is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Icy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Icy. If not, see <https://www.gnu.org/licenses/>.
 */

package plugins.stef.micromanager.block.setting;

import org.bioimageanalysis.icy.extension.plugin.annotation_.IcyPluginIcon;
import org.bioimageanalysis.icy.extension.plugin.annotation_.IcyPluginName;
import plugins.adufour.blocks.tools.input.InputBlock;
import plugins.adufour.blocks.util.VarList;
import plugins.stef.micromanager.block.AbstractMicroscopeBlock;
import plugins.stef.micromanager.block.lang.VarChannels;
import plugins.stef.micromanager.block.lang.VarMMGroup;

/**
 * Define a list of channel (Micro-Manager)
 * Class in standby until an EzPlug fix
 *
 * @author Stephane Dallongeville
 */
@IcyPluginName("(WIP) Microscope Channels")
@IcyPluginIcon(path = "/mm_blocks.png")
public class MicroscopeChannels extends AbstractMicroscopeBlock implements InputBlock {
    VarMMGroup group;
    VarChannels channels;

    public MicroscopeChannels() {
        group = new VarMMGroup();
        channels = new VarChannels(group);
    }

    @Override
    public void run() {
        //
    }

    @Override
    public void declareInput(final VarList inputMap) {
        if (group != null)
            inputMap.add("groups", group);
        if (channels != null)
            inputMap.add("channels", channels);
    }

    @Override
    public void declareOutput(final VarList outputMap) {
        //
    }
}
